# $Revision: 1.116 $, $Date: 2012/05/09 17:42:00 $
#
# Conditional build:
%bcond_without	cxx	# don't build C++ interface
%bcond_without	tests	# don't perform tests
#
Summary:	GNU arbitrary precision library
Summary(de.UTF-8):	Beliebige Genauigkeits-Library
Summary(es.UTF-8):	Biblioteca de precisión arbitraria de la GNU
Summary(fr.UTF-8):	Bibliothèque de calcul de précision
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU
Summary(pt_BR.UTF-8):	Biblioteca de precisão arbitrária da GNU
Summary(uk.UTF-8):	Бібліотека GNU довільної точності
Summary(ru.UTF-8):	Библиотека GNU произвольной точности
Name:		gmp
Version:	5.0.5
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gmp/%{name}-%{version}.tar.xz
# Source0-md5:	8aef50959acec2a1ad41d144ffe0f3b5
Patch0:		%{name}-info.patch
Patch1:		%{name}-multilib.patch
Patch2:		%{name}-cpu.patch
Patch3:		%{name}-tinfo.patch
Patch4:		%{name}-am.patch
URL:		http://gmplib.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
%{?with_cxx:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Obsoletes:	libgmp3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast for several reasons: It uses fullwords
as the basic arithmetic type, it uses fast algorithms, it carefully
optimizes assembly code for many CPUs' most common inner loops and it
generally emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%description -l de.UTF-8
Das gmp-paket enthält GNU MP, eine Library für Arithmetik bei
beliebiger Genauigkeit, Operationen mit Intergern mit Vorzeichen,
Rationale Zahlen, und Floating Point-Zahlen. GNU MP wurde für
Geschwindigkeit sowohl für kleine als auch für sehr große Operanden
optimiert. GNU MP ist aus mehreren Gründen schnell: Es benutzt
fullwords als grundlegenden Arithmetik-Typ, benutzt schnelle
Algorithmen, und benutzt Assembler-Code für verschiedene CPUs, und
legt mehr Wert auf Geschwindigkeit als auf Einfachheit der Funktionen.

Installieren Sie das gmp-Paket, wenn Sie eine schnelle Library für
beliebige Genauigket brauchen.

%description -l es.UTF-8
Esta es la biblioteca GNU de precisión arbitraria. Da acceso a
funciones para manipular arbitrariamente grandes números con
interfaces de alto o bajo nivel.

%description -l fr.UTF-8
Ce package contient la bibliothèque GNU MP. Cette dernière permet de
calculer avec une grande précision sur des nombres entiers, rationnels
ou même des fractions, signés ou non. GNU MP a été conçue pour être
rapide pour les petits nombres ainsi que les très grands grâce à
plusieurs techniques (calcul sur plusieurs chiffres hexa simultanés,
algorithmes optimisés, utilisation de l'assembleur pour les routines
critiques) parfois au détriment de la simplicité ou l'élégance.

Installez ce package si vous avez besoin d'une bibliothèque de calcul
de précision rapide

%description -l pl.UTF-8
Pakiet zawiera bibliotekę arytmetyczną wysokiej precyzji. Daje ona
dostęp do szerokiego grona szybkich funkcji arytmetycznych
działających na liczbach całkowitych, rzeczywistych i
zmiennoprzecinkowych.

%description -l pt_BR.UTF-8
Esta é a biblioteca GNU de precisão arbitrária. Ela dá acesso a
funções para manipular arbitrariamente grandes números com interfaces
de alto ou baixo nível.

%description -l uk.UTF-8
Це бібліотека GNU довільної точності. Збірка програм з нею надає цим
програмам доступ до функцій для роботи з як завгодно великими числами
через інтерфейси як низького так і високого рівня.

%description -l ru.UTF-8
Это библиотека GNU произвольной точности. Сборка с ней предоставляет
доступ к функциям для работы со сколь угодно большими числами как
через низко-, так и через высокоуровневый интерфейс.

%package devel
Summary:	GNU Arbitrary Precision library header files and documentation
Summary(de.UTF-8):	Entwicklungstools für GNU MP
Summary(es.UTF-8):	Archivos de inclusión y documentación de la biblioteca gmp
Summary(fr.UTF-8):	Outils de développement pour la bibliothèque de calcul GMP
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki gmp
Summary(pt_BR.UTF-8):	Arquivos de inclusão e documentação da biblioteca gmp
Summary(uk.UTF-8):	Інструменти розробки для бібліотеки GNU довільної точності
Summary(ru.UTF-8):	Инструменты разработки для библиотеки GNU произвольной точности
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgmp3-devel

%description devel
The header files and documentation for using the GNU MP arbitrary
precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.

%description devel -l de.UTF-8
Header Files und Dokumentation zum Benutzen der GNU MP Library.

%description devel -l es.UTF-8
Estas son las bibliotecas, archivos de inclusión y documentación para
usar la biblioteca GNU de precisión arbitraria en tus programas.

%description devel -l fr.UTF-8
Ce package comprend les fichiers d'en-tête et la documentation
nécessaires pour utiliser la bibliothèque de calcul de précision dans
les applications.

Vous n'avez besoin de ce package que si vous comptez programmer des
applications utilisant la bibliothèque GNU MP.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do gmp. Dzięki temu pakietowi można
tworzyć własne programy z wykorzystaniem tej biblioteki.

%description devel -l pt_BR.UTF-8
Estas são as bibliotecas, arquivos de inclusão e documentação para
usar a biblioteca GNU de precisão arbitrária em seus programas.

%description devel -l uk.UTF-8
Це бібліотека програміста, хедери та документація для використання
бібліотеки GNU довільної точності у ваших власних програмах.

%description devel -l ru.UTF-8
Это библиотека разработчика, хедеры и документация для использования
библиотеки GNU произвольной точности в ваших собственных программах.

%package static
Summary:	GNU Arbitrary Precision static library
Summary(pl.UTF-8):	Biblioteka statyczna gmp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com gmp
Summary(uk.UTF-8):	Бібліотека GNU довільної точності - статична бібліотека
Summary(ru.UTF-8):	Библиотека GNU произвольной точности - статическая библиотека
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmp library.

%description static -l pl.UTF-8
Biblioteka statyczna gmp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com gmp.

%description static -l uk.UTF-8
Це статична бібліотека GNU довільної точності.

%description static -l ru.UTF-8
Это статическая библиотека GNU произвольной точности.

%package bsd
Summary:	GNU arbitrary precision library - BSD-compatible MP library
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - biblioteka MP kompatybilna z BSD
Group:		Libraries
# doesn't require base

%description bsd
This package contains BSD-compatible MP library based on GNU MP.

%description bsd -l pl.UTF-8
Ten pakiet zawiera bibliotekę MP kompatybilną z BSD opartą na GNU MP.

%package bsd-devel
Summary:	GNU arbitrary precision library - BSD-compatible MP API
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - API MP kompatybilne z BSD
Group:		Development/Libraries
Requires:	%{name}-bsd = %{version}-%{release}

%description bsd-devel
This package contains BSD-compatible MP library header file.

%description bsd-devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy biblioteki MP kompatybilnej z BSD.

%package bsd-static
Summary:	GNU arbitrary precision library - BSD-compatible static MP library
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - biblioteka statyczna MP kompatybilna z BSD
Group:		Development/Libraries
Requires:	%{name}-bsd-devel = %{version}-%{release}

%description bsd-static
This package contains BSD-compatible MP static library based on GNU
MP.

%description bsd-static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną MP kompatybilną z BSD opartą
na GNU MP.

%package c++
Summary:	GNU arbitrary precision library - C++ interface
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - interfejs C++
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ class interface to GNU arbitrary precision library.

%description c++ -l pl.UTF-8
Interfejs w postaci klas C++ do biblioteki arytmetycznej GNU.

%package c++-devel
Summary:	GNU arbitrary precition library - C++ interface headers
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - pliki nagłówkowe interfejsu C++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description c++-devel
Header files for C++ class interface to GNU arbitrary precision
library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe interfejsu w postaci klas C++ do biblioteki
arytmetycznej GNU.

%package c++-static
Summary:	GNU arbitrary precition library - C++ static library
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - statyczna biblioteka C++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static version of C++ class interface to GNU arbitrary precision
library.

%description c++-static -l pl.UTF-8
Statycza wersja interfejsu w postaci klas C++ do biblioteki
arytmetycznej GNU.

%prep
%setup -q
%patch0 -p1
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
# ugly hack, don't apply on other archs (also recheck sizes on each upgrade)
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-cpu=%{_target_cpu} \
	%{?with_cxx:--enable-cxx} \
	--enable-fft \
	--enable-mpbsd

%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	bsd -p /sbin/ldconfig
%postun	bsd -p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmp.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmp.so
%{_libdir}/libgmp.la
%{_includedir}/gmp.h
%{_infodir}/gmp.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmp.a

%files bsd
%attr(755,root,root) %{_libdir}/libmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp.so.3

%files bsd-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmp.so
%{_libdir}/libmp.la
%{_includedir}/mp.h

%files bsd-static
%defattr(644,root,root,755)
%{_libdir}/libmp.a

%if %{with cxx}
%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmpxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmpxx.so.4

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmpxx.so
%{_libdir}/libgmpxx.la
%{_includedir}/gmpxx.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgmpxx.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmp.spec,v $
Revision 1.116  2012/05/09 17:42:00  qboosh
- updated to 5.0.5
- added am patch (fixes build with automake 1.12)

Revision 1.115  2012/02/13 19:22:30  qboosh
- updated to 5.0.4

Revision 1.114  2012/01/30 17:37:24  qboosh
- updated to 5.0.3
- updated cpu patch

Revision 1.113  2011/05/09 18:36:12  qboosh
- updated to 5.0.2

Revision 1.112  2011/01/29 00:06:33  sparky
- dropped pre-cvs changelog

Revision 1.111  2010/03/27 13:59:52  qboosh
- updated to 5.0.1
- updated multilib,cpu patches

Revision 1.110  2010/01/21 17:54:29  pluto
- updated to 4.3.2.

Revision 1.109  2009/10/03 07:20:24  qboosh
- updated to 4.3.1
- added cpu,tinfo patches

Revision 1.108  2008/09/22 18:49:09  qboosh
- updated to 4.2.4
- dropped -Wl,-z,-noexecstack from specflags (invalid as compiler option, libs have
  non-executable stack anyway)

Revision 1.107  2008/08/23 22:03:07  qboosh
- updated to 4.2.3
- removed obsolete cstdio patch

Revision 1.106  2008/07/02 20:10:38  sls
- added cstdio.patch
- rel. 4

Revision 1.105  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.104  2008-03-21 10:50:59  pluto
- mark stack as non-executable for PaX kernel, release 3.

Revision 1.103  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.102  2008-01-19 21:11:39  qboosh
- build with BSD-compatible libmp (packaged as -bsd-*)
- desc fixes (no static libs in -devel)
- LGPL v3+
- release 2

Revision 1.101  2007-09-16 15:35:50  areq
- 4.2.2

Revision 1.100  2007/05/04 14:52:06  qrczak
- Updated URL.

Revision 1.99  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.98  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.97  2006/12/29 03:24:52  qboosh
- added multilib patch, release 3

Revision 1.96  2006/12/29 00:32:55  qboosh
- added cxx bcond

Revision 1.95  2006/12/06 00:47:47  pluto
- release 2 ( rebuild with P: *.la ).

Revision 1.94  2006/05/07 14:31:14  areq
- 4.2.1

Revision 1.93  2006/04/25 17:19:11  pluto
- enable testsuite.

Revision 1.92  2006/04/23 18:22:27  qboosh
- updated to 4.2, updated info patch
- removed obsolete gcc-version,amd64,acinclude,sparc64,cmpi,site patches
- mpfr moved to separate (source) package

Revision 1.91  2005/10/25 20:06:46  qboosh
- added mpfr fix to info patch, fix-info-dir in libmpfr-devel post/postun
- release 3

Revision 1.90  2005/05/21 23:02:09  pluto
- s/%%{_cpu}/%%{_target_cpu}/

Revision 1.89  2005/04/08 22:28:54  arekm
- rel 2; bugfixes from gmp page

Revision 1.88  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.87  2004/12/10 08:45:57  pluto
- typo.

Revision 1.86  2004/12/09 18:26:38  qboosh
- release 1

Revision 1.85  2004/11/21 02:18:12  qboosh
- added cmpi patch (ppc asm fix)

Revision 1.84  2004/11/01 11:59:35  qboosh
- dropped asmcpu stuff, configure --build (rpm's --target) has the same result
- apply sparc64 patch

Revision 1.83  2004/10/16 15:35:19  mmazur
- up to 4.1.4 (rel 0.1)
- handling of different archs in configure.in got rewriten, so asmcpu
  and sparch64 patches got commented out - dunno - somebody might want to
  take a look at it

Revision 1.82  2004/10/16 13:40:18  mmazur
- rel 3 for th

Revision 1.81  2004/10/07 12:38:25  qboosh
- pl for libmpfr-devel

Revision 1.80  2004/09/27 07:58:05  pluto
- mpfr (static version) added.

Revision 1.79  2004/08/04 05:23:01  pascalek
- Release 2: mpf_sub.c patch

Revision 1.78  2004/06/24 01:20:13  pluto
- %%patch5 added.

Revision 1.77  2004/06/24 01:19:16  pluto
- [sparc64] fixed cpu targeting.

Revision 1.76  2004/05/23 21:37:53  grzegol
- updated to 4.1.3
- strict internal deps

Revision 1.75  2004/02/03 17:05:42  qboosh
- new-style bconds, removed am_fix patch (for obsolete libtool versions)

Revision 1.74  2004/02/02 19:50:08  grzegol
- added acinclude patch (fix quotation in acinclude.m4 file

Revision 1.73  2004/01/02 17:25:56  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.72  2003/11/18 17:40:20  arekm
- amd64 patch and fixed gcc version detection

Revision 1.71  2003/08/25 18:54:18  mmazur
- rel 2 for ac

Revision 1.70  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.69  2003/05/25 05:48:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/05/19 10:05:37  adgor
- BR: libstdc++-devel

Revision 1.67  2003/05/07 08:42:13  qboosh
- acfix patch no longer needed with current autoconf+libtool

Revision 1.66  2003/01/21 23:25:36  qboosh
- added acfix patch, now builds with current libtool
- syntax fix in asmcpu patch

Revision 1.65  2003/01/20 14:08:26  trojan
- updated to 4.1.2

Revision 1.64  2002/12/05 00:28:25  undefine
- updated to 4.1.1

Revision 1.63  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.62  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.61  2002/08/18 10:56:42  misiek
- post 4.1 fixes for gmp (affects people with sawfish problems); rel 3

Revision 1.60  2002/07/23 16:09:51  qboosh
- apply patch1 only for libtool < 1.4a
- separated c++ library packages (seldom used and requires libstdc++)
- release 2

Revision 1.59  2002/07/21 19:49:43  kloczek
- updated to 1.0 and added "-I mpfr" aclocal parameters.

Revision 1.58  2002/06/23 20:32:25  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.57  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/15 10:34:34  qboosh
- fixed pentium{mmx,2,3,4} optimization in asmcpu patch (#140); release 4

Revision 1.55  2002/04/25 16:25:29  arturs
fixed a small typo

Revision 1.54  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/03/10 14:56:10  kloczek
- release 3.

Revision 1.52  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/29 17:05:39  qboosh
- updated asmcpu patch is back (it wasn't obsolete!), --host doesn't work
- release 2

Revision 1.49  2002/01/24 20:07:17  kloczek
- updated to 4.0.1 (bugfix release).

Revision 1.48  2002/01/22 10:08:03  filon
- oh, no unclosed if, close it

Revision 1.47  2002/01/22 10:04:41  filon
- posted highly destroyed version, now good (really)

Revision 1.45  2002/01/22 09:49:09  filon
- added else rule for defining _cpu if arch is not i[56]86 :-)
- release 4, i386 should build now

Revision 1.44  2002/01/20 14:40:37  filon
- defining cpu, third take: use --host configure parameter
- really works, release is 3, of course

Revision 1.43  2002/01/20 14:18:37  filon
- redefine back _target_cpu after configure

Revision 1.42  2002/01/20 12:27:23  filon
- change _target_cpu macro according to choosen architecture
- use info patch
- release 3

Revision 1.41  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2002/01/02 23:13:02  kloczek
- removed acfix, asmcpu obsoleted patches,
- added am_fix patch (remove --tag=CC from libtool parameters).

Revision 1.39  2002/01/02 12:21:06  kloczek
- release 2: added libgmp3-{,devel} to Obsoletes for allow upgrade from MDK.

Revision 1.38  2001/12/15 17:05:03  filon
- added NEWS, README files to docs
- updated to 4.0.0 (don't wor, library version doesn't change)
- reason: many improvments, bugfixes + support for P4 etc...

Revision 1.37  2001/09/26 10:38:29  qboosh
- BuildRequires: libtool

Revision 1.36  2001/08/19 16:41:02  kloczek
- release 7.

Revision 1.35  2001/08/15 17:24:45  blues
- enable-fft configure option added

Revision 1.34  2001/08/11 18:39:53  kloczek
- release 6.

Revision 1.33  2001/08/11 10:26:28  qboosh
- oops, forgot about not i586/i686 cpus...

Revision 1.32  2001/08/11 08:58:46  qboosh
- added bconds for using MMX/P3MMX/K6/K62/K7 instructions
- some fixes in pl translations
- ugly ac fix

Revision 1.31  2001/08/10 13:18:45  kloczek
- updated to 3.1.1,
- removed all outdated patches,
- spec adapterixed.

Revision 1.30  2001/08/09 18:58:35  blues
typo

Revision 1.29  2001/08/09 18:38:02  blues
- even more translations

Revision 1.28  2001/08/09 18:27:26  blues
- some translations

Revision 1.27  2001/08/09 13:55:42  agaran
s/configure/configure2_13/
%{__aclocal}/autoconf regeneration dont help

Revision 1.26  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/29 09:14:40  kloczek
- release 15.

Revision 1.23  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.22  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.20  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.16  1999/12/11 12:18:06  kloczek
- release 14,
- added Group(pl),
- group changed to Development/Libraries for devel.

Revision 1.15  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.14  1999/09/21 02:45:44  kloczek
- release 12,
- updated Source url and URL,
- added two patches from home page,
- added sparc patch for sparc from rawhide,
- added de, fr translations from BeroLinux gmp spec file.

Revision 1.13  1999/09/19 09:40:59  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).
